---
title: "List files in a webOLC file-edit root"
description: "Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session."
type: reference
audience: operators
verified: v0.1.8
canonical: https://darkpawns.org/docs/reference/api/admin/operations/list-editable-files/
---

[Documentation](/docs/) / [Reference](/docs/reference/)

# List files in a webOLC file-edit root

Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.

GET

/admin/files/{root}/listing

FetchcURL

```
const url = 'https://example.com/admin/files/lua/listing';const options = {method: 'GET'};
try {  const response = await fetch(url, options);  const data = await response.json();  console.log(data);} catch (error) {  console.error(error);}
```

```
curl --request GET \  --url https://example.com/admin/files/lua/listing
```

## Parameters

### Path Parameters

**root**

required

string

Allowed values: lua tedit

### Query Parameters

**directory**

string

## Responses

### 200

OK

application/json

object

**actions**

required

Array<object> | null

object

**allowed**

required

boolean

**key**

required

string

**label**

required

string

**required\_label**

required

string

**required\_level**

required

integer format: int64

**entries**

required

Array<object> | null

object

**allowed**

required

boolean

**directory**

required

boolean

**max\_bytes**

integer format: int64

**name**

required

string

**path**

required

string

**required\_label**

string

**required\_level**

integer format: int64

#### Example generated

```
{  "actions": [    {      "allowed": true,      "key": "example",      "label": "example",      "required_label": "example",      "required_level": 1    }  ],  "entries": [    {      "allowed": true,      "directory": true,      "max_bytes": 1,      "name": "example",      "path": "example",      "required_label": "example",      "required_level": 1    }  ]}
```

### default

Error

application/problem+json

object

**detail**

A human-readable explanation specific to this occurrence of the problem.

string

**errors**

Optional list of individual error details

Array<object> | null

object

**location**

Where the error occurred, e.g. ‘body.items\[3\].tags’ or ‘path.thing-id’

string

**message**

Error message text

string

**value**

The value at the given location

**instance**

A URI reference that identifies the specific occurrence of the problem.

string format: uri

**status**

HTTP status code

integer format: int64

**title**

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string

**type**

A URI reference to human-readable documentation for the error.

string format: uri

default: about:blank

#### Example

```
{  "detail": "Property foo is required but is missing.",  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "about:blank"}
```
